var Player = enchant.Class.create(enchant.Sprite, {
    initialize: function(w,h){
        enchant.Sprite.call(this, w, h);
        this.image = game.assets['images/chara1.gif'];
        this.life = 5;
        this.y = game.height / 2 - this.height / 2;
        this.vx = 0;
        this.vy = 0;
        this.maxVx = 5;
        this.maxVy = 5;
        this.accel = 1;
        this.retarding = 0.98;
	},
	enterFrame:function(e){
		if(this.vx > this.maxVx) this.vx = this.maxVx;
		if(this.vx < -this.maxVx) this.vx = -this.maxVx;
		if(this.vy > this.maxVy) this.vy = this.maxVy;
		if(this.vy < -this.maxVy) this.vy = -this.maxVy;
		this.x += this.vx;
		this.y += this.vy;
		this.vx*=this.retarding;
		this.vy*=this.retarding;
		if(this.x > game.width / 2) this.x = game.width / 2;		
		if(this.x < 0) this.x = 0;		
		if(this.y > game.height - this.height) this.y = game.height - this.height;		
		if(this.y < 0) this.y = 0;		
	},
	move:function(type){
		switch(type){
			case Event.UP_BUTTON_DOWN:
				this.vy-=this.accel;
				break;		
			case Event.DOWN_BUTTON_DOWN:
				this.vy+=this.accel;
				break;		
			case Event.RIGHT_BUTTON_DOWN:
				this.vx+=this.accel;
				break;		
			case Event.LEFT_BUTTON_DOWN:
				this.vx-=this.accel;
				break;	
			default:
				error("move()に不明なイベント" + e.type + "が渡されました。");
				break;		
		}
	},
	damage:function(){
		var tgarget = this;
		tgarget.opacity = 0.5;
		setTimeout(function(){
			tgarget.opacity = 1;
		},500);
	}
});