var Enemy = enchant.Class.create(enchant.Sprite, {
    initialize: function(w,h){
        enchant.Sprite.call(this, w, h);
        this.image = game.assets['images/chara1.gif'];
        this.frame = 5;
        this.scaleX = -1;
        this.x = game.width;
        this.y = (game.height - this.height) * Math.random();
        this.vx = -0 - Math.random() * 3; 
     	this.vy = -2 + Math.random() * 4;
     	this.accel = 1.02;
        this.deleted = false;
        this.score = 10;
        this.addEventListener(Event.ENTER_FRAME,this.enterFrame);
	},
	enterFrame:function(){
		this.x += this.vx;
		this.y += this.vy;
		this.vx *= this.accel;
		if(this.y < 0 || this.y > game.height - this.height){
			this.vy *= -2;
		}
	},
	remove:function(){
		this.removeEventListener(Event.ENTER_FRAME,this.enterFrame);
	}
});